FROM php:8.4-fpm

RUN apt-get update && apt-get install -y unzip libzip-dev && rm -rf /var/cache/apt/*
RUN usermod -a -G www-data root
RUN mkdir -p /var/www/html
RUN chown -R www-data:www-data /var/www/html
RUN curl -sSL https://github.com/mlocati/docker-php-extension-installer/releases/latest/download/install-php-extensions -o /sbin/install-php-extensions
COPY ./install-php-extensions-wrapper.sh /sbin/install-php-extensions-wrapper
RUN chmod u+x /sbin/install-php-extensions /sbin/install-php-extensions-wrapper
RUN /sbin/install-php-extensions-wrapper opentelemetry-php/ext-opentelemetry@1.1.2
RUN /sbin/install-php-extensions-wrapper opcache
RUN /sbin/install-php-extensions-wrapper zip
RUN /sbin/install-php-extensions-wrapper grpc
RUN /sbin/install-php-extensions-wrapper grpc
RUN /sbin/install-php-extensions-wrapper intl
RUN /sbin/install-php-extensions-wrapper calendar
RUN /sbin/install-php-extensions-wrapper pdo_mysql
RUN /sbin/install-php-extensions-wrapper mysqli
RUN /sbin/install-php-extensions-wrapper redis

WORKDIR /var/www/html/
